org.fmph.knet.infection.simple

## Class SimpleEnvironment

- java.lang.Object
- - org.fmph.knet.infection.simple.SimpleEnvironment

- All Implemented Interfaces:
    Environment

      public class SimpleEnvironment
      extends java.lang.Object
      implements Environment

  Okrem povinnych nastaveni vyzadovanych pre `Environment`, obsahuje nastavenie pre `Infection`, `Vaccine` a nastavenie casti osob nakazenych na zaciatku simulacie
  Author:
    lenivo-pna

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleEnvironment(java.util.Properties p, edu.uci.ics.jung.graph.UndirectedGraph<Person,org.fmph.knet.infection.simulator.Edge> graph)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFinalTime()` Celkova doba simulacie v dnoch
    `edu.uci.ics.jung.graph.UndirectedGraph<Person,org.fmph.knet.infection.simulator.Edge>` | `getGraph()` Graf vztahov = moznych ciest sirenia sa nakazy
    `Infection` | `getInfection()`
    `double` | `getInitialInfectionRate()`
    `int` | `getTime()` Vrati aktualny den simulacie
    `Vaccine` | `getVaccineInfo()`
    `static SimpleEnvironment` | `load(java.lang.String properties, java.lang.String edgeFile)` Nacita stav prostredia zo suboru `properties` a graf vztahov medzi osobami zo suboru `edgeFile`.
    `void` | `setSimulator(Simulator simulator)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleEnvironment

          public SimpleEnvironment(java.util.Properties p,
                           edu.uci.ics.jung.graph.UndirectedGraph<Person,org.fmph.knet.infection.simulator.Edge> graph)

  - ### Method Detail

    - #### setSimulator

          public void setSimulator(Simulator simulator)

    - #### getFinalTime

          public int getFinalTime()

      Description copied from interface: `Environment`
      Celkova doba simulacie v dnoch
      Specified by:
        `getFinalTime` in interface `Environment`
      Returns:

    - #### getGraph

          public edu.uci.ics.jung.graph.UndirectedGraph<Person,org.fmph.knet.infection.simulator.Edge> getGraph()

      Description copied from interface: `Environment`
      Graf vztahov = moznych ciest sirenia sa nakazy
      Specified by:
        `getGraph` in interface `Environment`
      Returns:

    - #### load

          public static SimpleEnvironment load(java.lang.String properties,
                               java.lang.String edgeFile)
                                        throws java.io.FileNotFoundException,
                                               java.io.IOException

      Nacita stav prostredia zo suboru `properties` a graf vztahov medzi osobami zo suboru `edgeFile`. Format suboru properties - priklad: FinalTime = 20 InitialInfectionRate = 30 MaximalInfectionTime = 18 MinimalInfectionTime = 10 InfectionProbability = 80 VaccinationDuration = 1 Subor obsahujuci graf, sa ocakava v .edge formate - zoznam hran v riadkoch, v tvare uzol uzol. Priklad node1 node2 node2 node3 node3 node1
      Parameters:
        `properties` -
        `edgeFile` -
      Returns:
      Throws:
        `java.io.FileNotFoundException`
        `java.io.IOException`

    - #### getInitialInfectionRate

          public double getInitialInfectionRate()

    - #### getVaccineInfo

          public Vaccine getVaccineInfo()

    - #### getInfection

          public Infection getInfection()

    - #### getTime

          public int getTime()

      Description copied from interface: `Environment`
      Vrati aktualny den simulacie
      Specified by:
        `getTime` in interface `Environment`
      Returns: